Skip to content

getChangeNotice

READ

Get change notice.

POST /api/v1/items/getChangeNotice
curl -X POST '<your-host>/api/v1/items/getChangeNotice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "changeNoticeId": "string"
  }'
Response
{
  "approvalRequirements": [
    "string"
  ],
  "assignee": "string",
  "changeOrderId": "string",
  "changeOrderTypeId": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "description": "…",
  "dueDate": "string",
  "id": "string",
  "name": "string",
  "nonConformanceId": "string",
  "openDate": "string",
  "priority": "Low",
  "reasonForChange": "…",
  "requiredActionIds": [
    "string"
  ],
  "sourceId": "string",
  "sourceType": "string",
  "status": "Cancelled",
  "tags": [
    "string"
  ],
  "type": "Engineering",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "changeNoticeId": {
      "type": "string"
    }
  },
  "required": [
    "changeNoticeId"
  ]
}